module.exports = function (grunt) {
  "use strict";


  require('load-grunt-tasks')(grunt);

  grunt.initConfig({
    pkg: grunt.file.readJSON('package.json'),
    jshint: {
      all: ['Gruntfile.js', 'src/**/*.js', 'test/**/*.js']
    },
    concat: {
      options:{
        stripBanners: true,
        banner: '/*! <%= pkg.name %> - v<%= pkg.version %> - ' +
        '<%= grunt.template.today("yyyy-mm-dd") %> */\n\n'
      },
      dist: {
        src: ['src/**/*'],
        dest: 'dist/scraper.js'
      }
    },
    uglify: {
      my_target: {
        options:{
          stripBanners: true,
          banner: '/*! <%= pkg.name %> - v<%= pkg.version %> - ' +
          '<%= grunt.template.today("yyyy-mm-dd") %> */\n\n'
        },
        files: {
          'dist/scraper.min.js': ['dist/scraper.js']
        }
      }
    },
    karma: {
      unit: {
        singleRun: true,
        configFile: 'karma.conf.js'
      }
    },

    githooks: {
      all: {
        // Will run the jshint and test:unit tasks at every commit
        'pre-commit': 'build'
      }
    }
  });
  grunt.registerTask('default', ['build']);
  grunt.registerTask('install', ['githooks']);
  grunt.registerTask('test', []);
  grunt.registerTask('build', ['jshint','karma', 'concat','uglify']);
};
